CREATE TABLE gtg_result_summary (
    SECURITY_USER_ID         VARCHAR2(400) ,
    CONTROL_ID               NUMBER(19, 0) ,
    GLOBAL_USER_ID           NUMBER(19, 0) ,
    ROLE                     VARCHAR2(1600),
    RESULT_COUNT             NUMBER(19, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SECURITY_USER_ID         VARCHAR2(400) ,
    CONTROL_ID               NUMBER(19, 0) ,
    GLOBAL_USER_ID           NUMBER(19, 0) ,
    ROLE                     VARCHAR2(1600),
    RESULT_COUNT             NUMBER(19, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_gtg_result_summary PRIMARY KEY (SECURITY_USER_ID, CONTROL_ID, GLOBAL_USER_ID, ROLE, SECURITY_USER_ID, CONTROL_ID, GLOBAL_USER_ID, ROLE)
);
